Page MenuHomePhabricator

Clean up ConfigFiles
Closed, ResolvedPublic13 Story Points

Description

Motivation
There are some notes in the FileImporter config files that made sense for CommonsHelper2, but are unnecessary, and if anything confusing for FileImporter use. They should probably be removed.
At the same time the config files are the place where users would usually go to change the configuration around FileImporter, but for the "Now Commons" templates, this info is actually stored in Wikidata. Thus we should at least add a pointer that the info can be found there.

Acceptance Criteria

  • In all existing config files
    • Remove all lines containing the magic words %AUTHOR% and %TRANSFERUSER% plus their titles
      • This includes, but may not be limited to the Transfer section help text:

        You can also use magic words in parameters that should be added: %AUTHOR% for Author of the Image %TRANSFERUSER% for Username of the User that transfer the file
      • and the Transfer section keywords self, self2, multilicense replacing placeholder (see also T198609 in case of more background info need)
      • Use the edit summary Removing old information that the FileImporter isn't using (magic words %AUTHOR% and %TRANSFERUSER%)
  • In all existing config files
    • delete the information section if you concur with the outcome (in case of need of more background info see T198315)
    • Use the edit summary Remove information section, which is not used by FileImporter.
  • In all existing config files add a new section
    • Title: Source wiki info
    • Help text You can define which template should be added to the file on the source wiki to signal that it has been moved to Commons. This definition is done on Wikidata. Please do not add this info here.
    • Wikidata should link to https://www.wikidata.org/wiki/Q5611625

Event Timeline

Restricted Application added a project: TCB-Team. · View Herald TranscriptMay 14 2019, 10:10 AM
Lea_WMDE renamed this task from Remove unused pieces of config files to Clean up ConfigFiles.May 28 2019, 7:48 PM
Lea_WMDE triaged this task as Normal priority.
Lea_WMDE updated the task description. (Show Details)
Lea_WMDE updated the task description. (Show Details)May 29 2019, 9:02 AM
Lea_WMDE updated the task description. (Show Details)May 29 2019, 9:07 AM
Lea_WMDE updated the task description. (Show Details)May 29 2019, 9:09 AM
Lea_WMDE updated the task description. (Show Details)May 29 2019, 9:15 AM
Lea_WMDE updated the task description. (Show Details)May 29 2019, 9:22 AM
Lea_WMDE set the point value for this task to 13.
WMDE-Fisch added a subscriber: WMDE-Fisch.

Note: The Wikidata hint in this task should only be added when the patch enabling Wikidata for the template suggestion is merged and deployed.

@Lea_WMDE, may I ask why this tasks asks to remove "self, self2, and multilicense replacing placeholder"? The linked ticket T198609 doesn't help me to understand this.

I believe we can remove these keywords in case any of the other removals we plan to do leave a line like this:

;self:self|

This is an empty replacement, replacing a template name with itself, and no changes to parameters. These can all be removed because they don't do anything. But I believe we should not remove certain templates just because of their name. Can you please clarify?

The ticket was linked a bit misleadingly, it is general background on why we remove the keywords.
Self, self2 and mutlilicense are the instances where I could find the keywords being used. What the replacement does is only add the magic keywords, thus, to keep the config file as concise as possible, in this case, where the template replacement becomes obsolete by removing the magic keywords, we should not list them anymore.

awight added a subscriber: awight.

Noting that nothing can be done on this ticket until the TODO text is filled in.

JStrodt_WMDE updated the task description. (Show Details)Jun 6 2019, 8:52 PM

Noting that nothing can be done on this ticket until the TODO text is filled in.

TODO text is now filled in.

awight claimed this task.Jun 11 2019, 9:12 AM
awight moved this task from Sprint Backlog to Doing on the WMDE-QWERTY-Sprint-2019-05-29 board.
awight added a subscriber: JStrodt_WMDE.
awight updated the task description. (Show Details)Jun 11 2019, 11:09 AM
awight updated the task description. (Show Details)Jun 11 2019, 11:16 AM
awight updated the task description. (Show Details)Jun 11 2019, 11:29 AM
awight updated the task description. (Show Details)Jun 11 2019, 11:51 AM

This was more like 2 story points.

Pikne added a subscriber: Pikne.EditedJun 11 2019, 12:08 PM

Wasn't the idea to remove only the "Template" part of the "Information" section? While task description doesn't mention this part, it links to a ticket that covers only this part. With the entire "Information" section gone all imports seem to be blocked currently.

Edit: for reference, "Description" and "Licensing" parts are used for replacements (T198317).

@Pikne Thanks for the quick bug report! I'll revert my bad edits right away.

I've partially reverted my edits and only removed Information -> Template this time.

I looked at some random config pages and it looks good to me.

Lea_WMDE closed this task as Resolved.Jun 12 2019, 1:36 PM
Lea_WMDE moved this task from Demo to Done on the WMDE-QWERTY-Sprint-2019-05-29 board.